---
- hosts: [whiskey, tango, foxtrot]
  become: true
  tasks:

    - name: install software
      dnf:
        name:
          - nginx
        state: latest

- hosts: whiskey
  become: true
  tasks:

    - name: make homepage
      copy:
        dest: /usr/share/nginx/html/index.html
        content: <h1>whiskey</h1>

- hosts: tango
  become: true
  tasks:

    - name: make homepage
      copy:
        dest: /usr/share/nginx/html/index.html
        content: <h1>tango</h1>

- hosts: foxtrot
  become: true
  tasks:

    - name: make homepage
      copy:
        dest: /usr/share/nginx/html/index.html
        content: <h1>foxtrot</h1>

- hosts: [whiskey, tango, foxtrot]
  become: true
  tasks:

    - name: enable services
      systemd:
        name: nginx
        enabled: true

    - name: restart services
      service:
        name: nginx
        state: restarted


